Update the DoS Learning Mode on the Sensor

Prev Next

This URL updates the DoS learning mode on the Sensor.

Resource URL

PUT /sensor/<sensor_id>/ dosprofilelearningmode

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
sensorId Sensor id Number Yes

Payload Request Parameters:

Field Name Description Data Type Mandatory
DosProfilesLearning Learning mode Object Yes

Details of DosProfilesLearning:

Field Name Description Data Type Mandatory
dosProfileLearning Mode of learning. Can be one of the following:
  • LEARNING_MODE
  • DETECTION_MODE
String Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
status Set to 1 if the operation was successful Number

Example

Request

PUT https://<NSM_IP>/sdkapi/sensor/1002/dosprofilelearningmode

Payload

{
  "dosProfileLearning" : "LEARNING_MODE"
} 

Response

{
"status": 1
} 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1106 Invalid Sensor
2 400 1124 The Sensor is inactive